Gecode::Support::IntTypeTraits< signed int > Class Reference

Traits for signed integer. More...

`#include <int-type.hpp>`

## Public Types

typedef unsigned int | utype
| Corresponding unsigned type.
typedef signed int | stype
| Corresponding signed type.

## Static Public Attributes

static const signed int | min = INT_MIN
| Minimal value.
static const signed int | max = INT_MAX
| Maximal value.
static const IntType | description = IT_INT
| Description of type.

## Detailed Description

Traits for signed integer.

Definition at line 116 of file int-type.hpp.

## Member Typedef Documentation

## utype

typedef unsigned int Gecode::Support::IntTypeTraits< signed int >::utype

Corresponding unsigned type.

Definition at line 119 of file int-type.hpp.

## stype

typedef signed int Gecode::Support::IntTypeTraits< signed int >::stype

Corresponding signed type.

Definition at line 121 of file int-type.hpp.

## Member Data Documentation

## min

const signed int Gecode::Support::IntTypeTraits< signed int >::min = INT_MIN

static

Minimal value.

Definition at line 123 of file int-type.hpp.

## max

const signed int Gecode::Support::IntTypeTraits< signed int >::max = INT_MAX

static

Maximal value.

Definition at line 125 of file int-type.hpp.

## description

const IntType Gecode::Support::IntTypeTraits< signed int >::description = IT_INT

static

Description of type.

Definition at line 127 of file int-type.hpp.

The documentation for this class was generated from the following file:

- gecode/support/int-type.hpp